/*
 * Class BAG [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1620 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1620 [] = {0xFF01,1551,1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1620 [] = {0xFF01,1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1620 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1620 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1620 [] = {0xFF01,1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1620 [] = {0xFF01,1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1620 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1620 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1620 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1620 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1620 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1620 [] = {1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1620 [] = {0xFF01,1619,875,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1620 [] = {0xFF01,1614,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1620 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1620[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1620), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1620), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1620), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1620), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1620), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1620), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1620), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1620), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1620), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1620), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1620), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1620), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1620), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1620), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8604, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1620), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1620), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9012, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9014, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1620(void)
{
	IDSC(desc_1620, 0, 1619);
	IDSC(desc_1620 + 1, 1, 1619);
	IDSC(desc_1620 + 32, 1134, 1619);
	IDSC(desc_1620 + 41, 1135, 1619);
	IDSC(desc_1620 + 50, 778, 1619);
}


#ifdef __cplusplus
}
#endif
